"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("./ripple.css");

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _utils = require("../utils");

const Ripple = ({
  className,
  color = '#fff',
  size = 64,
  style,
  thickness = 4
}) => _react.default.createElement("div", {
  className: (0, _utils.clsx)('rcs-ripple', className),
  style: {
    '--rcs-ripple-color': color,
    '--rcs-ripple-size': `${size}px`,
    '--rcs-ripple-thickness': `${thickness}px`,
    ...style
  }
}, _react.default.createElement("div", null), _react.default.createElement("div", null));

process.env.NODE_ENV !== "production" ? Ripple.propTypes = {
  className: _propTypes.default.string,
  color: _propTypes.default.string,
  size: _propTypes.default.number,
  style: _propTypes.default.object,
  thickness: _propTypes.default.number
} : void 0;
var _default = Ripple;
exports.default = _default;