(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('react'), require('prop-types')) :
  typeof define === 'function' && define.amd ? define(['exports', 'react', 'prop-types'], factory) :
  (global = global || self, factory(global.ReactCssSpinners = {}, global.React, global.PropTypes));
}(this, function (exports, React, PropTypes) { 'use strict';

  React = React && React.hasOwnProperty('default') ? React['default'] : React;
  PropTypes = PropTypes && PropTypes.hasOwnProperty('default') ? PropTypes['default'] : PropTypes;

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);

    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      if (enumerableOnly) symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      });
      keys.push.apply(keys, symbols);
    }

    return keys;
  }

  function _objectSpread2(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i] != null ? arguments[i] : {};

      if (i % 2) {
        ownKeys(source, true).forEach(function (key) {
          _defineProperty(target, key, source[key]);
        });
      } else if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
      } else {
        ownKeys(source).forEach(function (key) {
          Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
      }
    }

    return target;
  }

  const clsx = function clsx() {
    for (var _len = arguments.length, classes = new Array(_len), _key = 0; _key < _len; _key++) {
      classes[_key] = arguments[_key];
    }

    return classes.filter(Boolean).join(' ');
  };

  const Circle = (_ref) => {
    let {
      className,
      color = '#fff',
      size = 64,
      style
    } = _ref;
    return React.createElement("div", {
      className: clsx('rcs-circle', className),
      style: _objectSpread2({
        '--rcs-circle-color': color,
        '--rcs-circle-size': "".concat(size, "px")
      }, style)
    }, React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null));
  };

  Circle.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    size: PropTypes.number,
    style: PropTypes.object
  };

  const DualRing = (_ref) => {
    let {
      className,
      color = '#fff',
      size = 64,
      style,
      thickness = 5
    } = _ref;
    return React.createElement("div", {
      className: clsx('rcs-dual-ring', className),
      style: _objectSpread2({
        '--rcs-dual-ring-color': color,
        '--rcs-dual-ring-size': "".concat(size, "px"),
        '--rcs-dual-ring-thickness': "".concat(thickness, "px")
      }, style)
    });
  };

  DualRing.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    size: PropTypes.number,
    style: PropTypes.object,
    thickness: PropTypes.number
  };

  const Ellipsis = (_ref) => {
    let {
      className,
      color = '#fff',
      size = 64,
      style
    } = _ref;
    return React.createElement("div", {
      className: clsx('rcs-ellipsis', className),
      style: _objectSpread2({
        '--rcs-ellipsis-color': color,
        '--rcs-ellipsis-size': "".concat(size, "px")
      }, style)
    }, React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null));
  };

  Ellipsis.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    size: PropTypes.number,
    style: PropTypes.object
  };

  const Grid = (_ref) => {
    let {
      className,
      color = '#fff',
      size = 64,
      style
    } = _ref;
    return React.createElement("div", {
      className: clsx('rcs-grid', className),
      style: _objectSpread2({
        '--rcs-grid-color': color,
        '--rcs-grid-size': "".concat(size, "px")
      }, style)
    }, React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null));
  };

  Grid.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    size: PropTypes.number,
    style: PropTypes.object
  };

  const Hourglass = (_ref) => {
    let {
      className,
      color = '#fff',
      size = 64,
      style
    } = _ref;
    return React.createElement("div", {
      className: clsx('rcs-hourglass', className),
      style: _objectSpread2({
        '--rcs-hourglass-color': color,
        '--rcs-hourglass-size': "".concat(size, "px")
      }, style)
    });
  };

  Hourglass.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    size: PropTypes.number,
    style: PropTypes.object
  };

  const Ring = (_ref) => {
    let {
      className,
      color = '#fff',
      size = 64,
      style,
      thickness = 5
    } = _ref;
    return React.createElement("div", {
      className: clsx('rcs-ring', className),
      style: _objectSpread2({
        '--rcs-ring-color': color,
        '--rcs-ring-size': "".concat(size, "px"),
        '--rcs-ring-thickness': "".concat(thickness, "px")
      }, style)
    }, React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null));
  };

  Ring.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    size: PropTypes.number,
    style: PropTypes.object,
    thickness: PropTypes.number
  };

  const Ripple = (_ref) => {
    let {
      className,
      color = '#fff',
      size = 64,
      style,
      thickness = 4
    } = _ref;
    return React.createElement("div", {
      className: clsx('rcs-ripple', className),
      style: _objectSpread2({
        '--rcs-ripple-color': color,
        '--rcs-ripple-size': "".concat(size, "px"),
        '--rcs-ripple-thickness': "".concat(thickness, "px")
      }, style)
    }, React.createElement("div", null), React.createElement("div", null));
  };

  Ripple.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    size: PropTypes.number,
    style: PropTypes.object,
    thickness: PropTypes.number
  };

  const Roller = (_ref) => {
    let {
      className,
      color = '#fff',
      size = 64,
      style
    } = _ref;
    return React.createElement("div", {
      className: clsx('rcs-roller', className),
      style: _objectSpread2({
        '--rcs-roller-color': color,
        '--rcs-roller-size': "".concat(size, "px")
      }, style)
    }, React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null));
  };

  Roller.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    size: PropTypes.number,
    style: PropTypes.object
  };

  const Wave = (_ref) => {
    let {
      className,
      color = '#fff',
      size = 64,
      style,
      thickness = 12
    } = _ref;
    return React.createElement("div", {
      className: clsx('rcs-wave', className),
      style: _objectSpread2({
        '--rcs-wave-color': color,
        '--rcs-wave-size': "".concat(size, "px"),
        '--rcs-wave-thickness': "".concat(thickness, "px")
      }, style)
    }, React.createElement("div", null), React.createElement("div", null), React.createElement("div", null));
  };

  Wave.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    size: PropTypes.number,
    style: PropTypes.object,
    thickness: PropTypes.number
  };

  exports.Circle = Circle;
  exports.DualRing = DualRing;
  exports.Ellipsis = Ellipsis;
  exports.Grid = Grid;
  exports.Hourglass = Hourglass;
  exports.Ring = Ring;
  exports.Ripple = Ripple;
  exports.Roller = Roller;
  exports.Wave = Wave;

  Object.defineProperty(exports, '__esModule', { value: true });

}));
