import _defineProperty from "@babel/runtime/helpers/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import './ellipsis.css';
import React from 'react';
import PropTypes from 'prop-types';
import { clsx } from '../utils';

const Ellipsis = (_ref) => {
  let {
    className,
    color = '#fff',
    size = 64,
    style
  } = _ref;
  return React.createElement("div", {
    className: clsx('rcs-ellipsis', className),
    style: _objectSpread({
      '--rcs-ellipsis-color': color,
      '--rcs-ellipsis-size': "".concat(size, "px")
    }, style)
  }, React.createElement("div", null), React.createElement("div", null), React.createElement("div", null), React.createElement("div", null));
};

process.env.NODE_ENV !== "production" ? Ellipsis.propTypes = {
  className: PropTypes.string,
  color: PropTypes.string,
  size: PropTypes.number,
  style: PropTypes.object
} : void 0;
export default Ellipsis;